Bug 330494 - Crash while running over night with periodic mail checking enabled
Summary: Crash while running over night with periodic mail checking enabled
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: 4.11
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Christian Mollekopf
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-01-28 06:11 UTC by Jürgen Richtsfeld
Modified: 2017-01-07 22:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürgen Richtsfeld 2014-01-28 06:11:03 UTC
Application: akonadi_imap_resource (4.11)
KDE Platform Version: 4.11.3
Qt Version: 4.8.4
Operating System: Linux 3.12.9-031209-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
As usual, kmail was running over night and it's configured to periodically check for mail. In the morning I had a error dialog telling that some account settings are broken and providing the possibility to directly edit account settings. I didn't do that but just pressed 'Check Mail' in kmail.
some moments later I got the crash assistant.

-- Backtrace:
Application: Compuware of type IMAP E-Mail Server (akonadi_imap_resource), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0d404b77c0 (LWP 2821))]

Thread 3 (Thread 0x7f0d27fff700 (LWP 4001)):
#0  0x00007f0d3be8cf7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f0d3abb96a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f0d3abb97ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0d3f8c0a76 in QEventDispatcherGlib::processEvents (this=0x7f0d18007240, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f0d3f8925ef in QEventLoop::processEvents (this=this@entry=0x7f0d27ffed70, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f0d3f8928e5 in QEventLoop::exec (this=this@entry=0x7f0d27ffed70, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f0d3f79188f in QThread::exec (this=this@entry=0x14505e0) at thread/qthread.cpp:542
#7  0x00007f0d3f873d13 in QInotifyFileSystemWatcherEngine::run (this=0x14505e0) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f0d3f793f2f in QThreadPrivate::start (arg=0x14505e0) at thread/qthread_unix.cpp:338
#9  0x00007f0d3b4dbf6e in start_thread (arg=0x7f0d27fff700) at pthread_create.c:311
#10 0x00007f0d3be999cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f0d2d4bd700 (LWP 4004)):
#0  0x00007f0d3be8cf7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f0d3abb96a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f0d3abb97ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0d3f8c0a76 in QEventDispatcherGlib::processEvents (this=0x7f0d280324c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f0d3f8925ef in QEventLoop::processEvents (this=this@entry=0x7f0d2d4bcdb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f0d3f8928e5 in QEventLoop::exec (this=this@entry=0x7f0d2d4bcdb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f0d3f79188f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f0d3f793f2f in QThreadPrivate::start (arg=0x1225220) at thread/qthread_unix.cpp:338
#8  0x00007f0d3b4dbf6e in start_thread (arg=0x7f0d2d4bd700) at pthread_create.c:311
#9  0x00007f0d3be999cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f0d404b77c0 (LWP 2821)):
[KCrash Handler]
#6  KIMAP::Session::selectedMailBox (this=this@entry=0x154af80) at ../../kimap/session.cpp:427
#7  0x000000000043ed8c in ChangeItemsFlagsTask::doStart (this=0x130d550, session=0x154af80) at ../../../resources/imap/changeitemsflagstask.cpp:41
#8  0x00000000004487c3 in ResourceTask::onSessionRequested (this=0x130d550, requestId=<optimized out>, session=0x154af80, errorCode=0) at ../../../resources/imap/resourcetask.cpp:119
#9  0x00000000004489c5 in ResourceTask::qt_static_metacall (_o=0x7fffe95449d0, _c=22327168, _id=-1, _a=0x7f0d3c160750 <main_arena+16>) at ./resourcetask.moc:70
#10 0x00007f0d3f8a7a58 in QMetaObject::activate (sender=sender@entry=0x1075660, m=m@entry=0x46c880 <SessionPool::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fffe9544bb0) at kernel/qobject.cpp:3539
#11 0x00000000004575b2 in SessionPool::sessionRequestDone (this=this@entry=0x1075660, _t1=_t1@entry=2224, _t2=_t2@entry=0x154af80, _t3=_t3@entry=0, _t4=...) at ./sessionpool.moc:154
#12 0x00000000004594ea in SessionPool::processPendingRequests (this=0x1075660) at ../../../resources/imap/sessionpool.cpp:258
#13 0x000000000045a1cd in SessionPool::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./sessionpool.moc:93
#14 0x00007f0d3f8abdce in QObject::event (this=0x1075660, e=<optimized out>) at kernel/qobject.cpp:1194
#15 0x00007f0d3ec30dfc in QApplicationPrivate::notify_helper (this=this@entry=0xebe3a0, receiver=receiver@entry=0x1075660, e=e@entry=0x146fff0) at kernel/qapplication.cpp:4567
#16 0x00007f0d3ec37470 in QApplication::notify (this=this@entry=0x7fffe9545350, receiver=receiver@entry=0x1075660, e=e@entry=0x146fff0) at kernel/qapplication.cpp:4353
#17 0x00007f0d3cd63a6a in KApplication::notify (this=0x7fffe9545350, receiver=0x1075660, event=0x146fff0) at ../../kdeui/kernel/kapplication.cpp:311
#18 0x00007f0d3f8938bd in QCoreApplication::notifyInternal (this=0x7fffe9545350, receiver=receiver@entry=0x1075660, event=event@entry=0x146fff0) at kernel/qcoreapplication.cpp:946
#19 0x00007f0d3f896e1f in sendEvent (event=0x146fff0, receiver=0x1075660) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xe86f80) at kernel/qcoreapplication.cpp:1570
#21 0x00007f0d3f8972c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#22 0x00007f0d3f8c1073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#23 postEventSourceDispatch (s=0xeb4550) at kernel/qeventdispatcher_glib.cpp:279
#24 0x00007f0d3abb93b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007f0d3abb9708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007f0d3abb97ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f0d3f8c0a55 in QEventDispatcherGlib::processEvents (this=0xeb91a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#28 0x00007f0d3ecd29d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x00007f0d3f8925ef in QEventLoop::processEvents (this=this@entry=0x7fffe95452c0, flags=...) at kernel/qeventloop.cpp:149
#30 0x00007f0d3f8928e5 in QEventLoop::exec (this=this@entry=0x7fffe95452c0, flags=...) at kernel/qeventloop.cpp:204
#31 0x00007f0d3f897e5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#32 0x00007f0d3ec2f34c in QApplication::exec () at kernel/qapplication.cpp:3828
#33 0x00007f0d3ffc7e03 in Akonadi::ResourceBase::init (r=r@entry=0x104fb90) at ../../akonadi/resourcebase.cpp:548
#34 0x000000000041dce3 in Akonadi::ResourceBase::init<ImapResource> (argc=<optimized out>, argv=<optimized out>) at /usr/include/akonadi/resourcebase.h:192
#35 0x00007f0d3bdc0de5 in __libc_start_main (main=0x416400 <main(int, char**)>, argc=3, ubp_av=0x7fffe9545468, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffe9545458) at libc-start.c:260
#36 0x0000000000416584 in _start ()

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 20:36:57 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 22:50:04 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.